org.eclipse.rdf4j.federated.evaluation.join

## Class ParallelBoundJoinTask

- java.lang.Object
- - org.eclipse.rdf4j.federated.evaluation.concurrent.ParallelTaskBase<BindingSet>
  - - org.eclipse.rdf4j.federated.evaluation.join.ParallelBoundJoinTask

- All Implemented Interfaces:
    ParallelTask<BindingSet>

      public class ParallelBoundJoinTask
      extends ParallelTaskBase<BindingSet>

  A task implementation representing a bound join, see `FederationEvalStrategy.evaluateBoundJoinStatementPattern(StatementTupleExpr, List)` for further details on the evaluation process.
  Author:
    Andreas Schwarte

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected List<BindingSet>` | `bindings`
    `protected StatementTupleExpr` | `expr`
    `protected ParallelExecutor<BindingSet>` | `joinControl`
    `protected FederationEvalStrategy` | `strategy`

    - ### Fields inherited from class org.eclipse.rdf4j.federated.evaluation.concurrent.ParallelTaskBase

      `scheduledFuture`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ParallelBoundJoinTask(ParallelExecutor<BindingSet> joinControl, FederationEvalStrategy strategy, StatementTupleExpr expr, List<BindingSet> bindings)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ParallelExecutor<BindingSet>` | `getControl()` return the controlling instance, e.g.
    `CloseableIteration<BindingSet,QueryEvaluationException>` | `performTask()`

    - ### Methods inherited from class org.eclipse.rdf4j.federated.evaluation.concurrent.ParallelTaskBase

      `cancel, setScheduledFuture, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.federated.evaluation.concurrent.ParallelTask

      `getQueryInfo`

- - ### Field Detail

    - #### strategy

          protected final FederationEvalStrategy strategy

    - #### expr

          protected final StatementTupleExpr expr

    - #### bindings

          protected final List<BindingSet> bindings

    - #### joinControl

          protected final ParallelExecutor<BindingSet> joinControl

  - ### Constructor Detail

    - #### ParallelBoundJoinTask

          public ParallelBoundJoinTask(ParallelExecutor<BindingSet> joinControl,
                                       FederationEvalStrategy strategy,
                                       StatementTupleExpr expr,
                                       List<BindingSet> bindings)

  - ### Method Detail

    - #### performTask

          public CloseableIteration<BindingSet,QueryEvaluationException> performTask()
                                                                              throws Exception

      Throws:
        `Exception`

    - #### getControl

          public ParallelExecutor<BindingSet> getControl()

      Description copied from interface: `ParallelTask`
      return the controlling instance, e.g. in most cases the instance of a thread. Shared variables are used to inform the thread about new events.
      Returns:
        the control executor

Copyright © 2015-2021 Eclipse Foundation. All Rights Reserved.